## org.apache.fop.image
Class SVGImage

    java.lang.Object
      |
      +--org.apache.fop.image.AbstractFopImage
            |
            +--org.apache.fop.image.SVGImage

public class SVGImage
extends AbstractFopImage

See Also:
  `AbstractFopImage`, `FopImage`

Fields inherited from class org.apache.fop.image.AbstractFopImage
`m_bitmaps, m_bitmapsSize, m_bitsPerPixel, m_colorSpace, m_height, m_href, m_imageReader, m_isTransparent, m_transparentColor, m_width`

Constructor Summary
`SVGImage(java.net.URL href)`
`SVGImage(java.net.URL href, ImageReader imgReader)`

Method Summary
`static org.xml.sax.XMLReader` `createParser()` creates a SAX parser, using the value of org.xml.sax.parser defaulting to org.apache.xerces.parsers.SAXParser
`org.w3c.dom.svg.SVGDocument` `getSVGDocument()`
`protected void` `loadImage()` Load image data and initialize its properties.

Methods inherited from class org.apache.fop.image.AbstractFopImage
`close, getBitmaps, getBitmapsSize, getBitsPerPixel, getColorSpace, getHeight, getPDFFilter, getRessourceBytes, getRessourceBytesSize, getTransparentColor, getURL, getWidth, isTransparent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGImage

    public SVGImage(java.net.URL href)
             throws FopImageException

### SVGImage

    public SVGImage(java.net.URL href,
                    ImageReader imgReader)
             throws FopImageException

Method Detail

### createParser

    public static org.xml.sax.XMLReader createParser()

  creates a SAX parser, using the value of org.xml.sax.parser defaulting to org.apache.xerces.parsers.SAXParser
  Returns:
    the created SAX parser

### loadImage

    protected void loadImage()
                      throws FopImageException

  Description copied from class: AbstractFopImage
  Load image data and initialize its properties. Subclasses need to implement this method.
  Overrides:
    loadImage in class AbstractFopImage
  Tags copied from class: AbstractFopImage
  Throws:
    FopImageException - an error occured during loading

### getSVGDocument

    public org.w3c.dom.svg.SVGDocument getSVGDocument()
                                               throws FopImageException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.